Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 613843 - SELinux está negando a /usr/bin/gpk-application el acceso "read" on /var/lib/PackageKit/desktop-files.db
SELinux está negando a /usr/bin/gpk-application el acceso "read" on ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:36492794b5d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-12 19:09 EDT by Iván Jiménez
Modified: 2010-10-26 23:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 08:51:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Iván Jiménez 2010-07-12 19:09:11 EDT
Summary:

SELinux está negando a /usr/bin/gpk-application el acceso "read" on
/var/lib/PackageKit/desktop-files.db

Detailed Description:

SELinux negó el acceso requerido por gpk-application. No se esperaba que este
acceso fuera requerido por gpk-application, y puede ser indicio de un intento de
ataque. También es posible que la versión específica o la configuración de
la aplicación esté provocando esta necesidad de acceso adicional

Allowing Access:

Puede generar un módulo de política local para permitir este acceso. Vea FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Por favor, informe
este error.

Additional Information:

Source Context                xguest_u:xguest_r:xguest_t:s0
Target Context                system_u:object_r:var_lib_t:s0
Target Objects                /var/lib/PackageKit/desktop-files.db [ file ]
Source                        gpk-application
Source Path                   /usr/bin/gpk-application
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gnome-packagekit-2.30.2-1.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-33.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.5-124.fc13.x86_64 #1
                              SMP Fri Jun 11 09:38:12 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Mon 12 Jul 2010 06:02:06 PM COT
Last Seen                     Mon 12 Jul 2010 06:02:06 PM COT
Local ID                      4e0f7a76-6d0a-4e80-bd6d-014123e930bf
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1278975726.440:36): avc:  denied  { read } for  pid=2544 comm="gpk-application" name="desktop-files.db" dev=sda6 ino=352 scontext=xguest_u:xguest_r:xguest_t:s0 tcontext=system_u:object_r:var_lib_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1278975726.440:36): arch=c000003e syscall=2 success=no exit=-13 a0=106c620 a1=0 a2=1a4 a3=0 items=0 ppid=1 pid=2544 auid=511 uid=511 gid=511 euid=511 suid=511 fsuid=511 egid=511 sgid=511 fsgid=511 tty=(none) ses=1 comm="gpk-application" exe="/usr/bin/gpk-application" subj=xguest_u:xguest_r:xguest_t:s0 key=(null)



Hash String generated from  catchall,gpk-application,xguest_t,var_lib_t,file,read
audit2allow suggests:

#============= xguest_t ==============
allow xguest_t var_lib_t:file read;
Comment 1 Daniel Walsh 2010-07-13 08:51:11 EDT
restorecon -R -v /var/lib/Packagekit

A mislabeled packagekit got into F13 and is causing problems with labeling.

chcon -t rpm_exec_t /usr/libexec/packagekitd  

Until the updated package gets out.

Note You need to log in before you can comment on or make changes to this bug.